%define pkg_name        DateTime-Format-Strptime
%define pkg_version     1.0702
%define rpm_pkg_version 1.07_02
%define rpm_pkg_release 1.n0i.9

Summary:       Parse and Format DateTimes using Strptime
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RI/RICKM/%{pkg_name}-%{pkg_version}.tgz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%if 0%{!?_without_test:1}
BuildRequires: perl(DateTime) >= 0.15
BuildRequires: perl(DateTime::Locale) >= 0.02
BuildRequires: perl(DateTime::TimeZone) >= 0.25
BuildRequires: perl(Params::Validate) >= 0.64
%endif


%description
This module implements most of strptime(3), the POSIX function that is the
reverse of strftime(3), for "DateTime". While "strftime" takes a "DateTime"
and a pattern and returns a string, "strptime" takes a string and a pattern
and returns the "DateTime" object associated.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}
%{fix_man}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE README


%changelog
* Tue Sep 18 2007 Marius Feraru <altblue@n0i.net> - 1.07_02-1.n0i.9.1.0702
- version 1.0702

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.07-1.n0i.8.1.0700
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Thu Nov 10 2005 Marius Feraru <altblue@n0i.net> 1.07-1.n0i.7.1.0700
- version 1.0700

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 1.06_01-2.n0i.6.1.0601
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Thu Mar 31 2005 Marius FERARU <altblue@n0i.net> 0:1.06_01-1.n0i.5.1.0601
- rebuild (FC4)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:1.06-1.n0i.4.1.0601
- version 1.0601

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:1.04-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Sun Feb 01 2004 Marius FERARU <altblue@n0i.net> 0:1.04-0.n0i.1
- version 1.04
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Sun Jun 29 2003 Marius FERARU <altblue@n0i.net> 1.03-0.n0i
- Initial build.
